<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/mail.php";
include_once "include/site.php";
include_once "include/admin.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$user_id            = pg_escape_string($_REQUEST['user']);
$type               = pg_escape_string($_REQUEST['type']);
$bulk_upload_enable = pg_escape_string($_REQUEST['bulk_upload_enable']);
$shop_enable        = pg_escape_string($_REQUEST['shop_enable']);
$shared             = pg_escape_string($_REQUEST['shared']);
$quota_size         = pg_escape_string($_REQUEST['quota_size']);
$quota_count        = pg_escape_string($_REQUEST['quota_count']);

$quota_size = $quota_size * 1048576;

$user_preferences = pg_fetch_row(pg_query($database, "select preferences from users where users.identifier=$user_id"));

pg_query($database, "begin");
$result = pg_query($database, "update users set type='$type', shared='$shared' where identifier='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "
  update preferences
     set bulk_upload_enable='$bulk_upload_enable',
         shop_enable='$shop_enable',
         quota_size =$quota_size,
         quota_count=$quota_count
   where identifier='$user_preferences[0]'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

pg_query($database, "commit");

/* send email notifications */
send_po_account_change_notification($database, $user_id);

site_epilog($database);
header("location: admin.php?selector=".$admin_data['users_n_clients']['idx']);
?>
