<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$album_id = pg_escape_string($_REQUEST['album']);

$album_data = pg_fetch_row(pg_query($database, "select caption, date_of_creation, access_rights, description, parent_album, users from album where identifier='$album_id'"));

/* Ensure mere users don't edit an folder that isn't theirs! */
if (($po_user['id'] != $album_data[5]) &&
    ($po_user['type'] < $user_type['administrator'])) {
    site_epilog($database);
    header("location: login.php");
    exit();
}

if ($po_user['type'] > $user_type['client']) {
  $navi_path = "My Folders and Albums";
} else {
  $navi_path = "My Albums";
}

$album_all = pg_query($database, "select identifier, caption, parent_album from album where users=$po_user[id] order by date_of_creation desc");
$photos_in_album = pg_fetch_row(pg_query($database, "select count_photos_by_album($album_id)"));
$subalbums_in_album = pg_fetch_row(pg_query($database, "select count_subalbums_by_album($album_id)"));
$path_to_album = get_path_to_album($database, $album_id);

site_header($page_width, "Edit Album");
site_navigator(5);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a>$path_to_album : Edit album <a href=\"album.php?album=$album_id\">$album_data[0]</a>", "");

print "&nbsp;<br/>\n";

$photos_in_album = pg_fetch_row(pg_query($database, "select count_photos_by_album($album_id)"));

print "<form method=\"post\" action=\"album.edit.2.php\">";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"28%\">Album Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"27%\">Parent album</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Subalbums</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Photos</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\">Created</td>\n";
if ($po_user['type'] > $user_type['client']) {
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Access</td>\n";
}
print "</tr>";
print "<tr>";
print "<td bgcolor=\"$color[table_body]\" >";
print "<input id=\"template_editor\" type=\"text\" name=\"album_caption\" value=\"$album_data[0]\" size=\"50%\"/></td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_folder_combo("parent", $album_all, $album_data[4], "null");
print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photos_in_album[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$subalbums_in_album[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($album_data[1], 'date', 1)."</td>";
if ($po_user['type'] > $user_type['client']) {
  print "<td bgcolor=\"$color[table_body]\" >";
  display_access_combo("album_access_rights", $album_data[2], ""); print "</td>\n";
}
else {
  print "<input type=\"hidden\" name=\"album_access_rights\" value=\"$access[private]\"/></td>";
}
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td colspan=\"4\" align=\"left\" bgcolor=\"$color[table_header]\" >Description</td>\n";
print "</tr>";
print "<tr>";
print "<td colspan=\"4\" bgcolor=\"$color[table_body]\" >";
print "<textarea wrap=\"physical\" rows=4 size=\"100%\" name=\"album_description\">$album_data[3]</textarea>";
print "</td>";
print "</tr>";
print "</table>";

print "&nbsp;<br/>\n";

print "<center>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\"/>";
if (!$album_data[4]) {
  print "<a class=\"nodecor\" href=\"my.folder.php\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
} else {
  print "<a class=\"nodecor\" href=\"album.php?album=$album_data[4]\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
}
print "<input type=\"hidden\" name=\"album\" value=\"$album_id\"/><p>";
print "</form>";
print "</center>\n";

print "&nbsp;<br/>\n";
site_footer($database);
site_epilog($database);
?>
