<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$manufacturer_name = pg_escape_string($_REQUEST['manufacturer_name']);
$manufacturer_url  = pg_escape_string($_REQUEST['manufacturer_url']);

if ($manufacturer_name!="") {
  $result = pg_query($database, "insert into manufacturer (identifier, name, url, last_modified_date, last_modifying_users)
                                 values (nextval('manufacturer_id_sequence'), '$manufacturer_name', '$manufacturer_url', now(), '$po_user[id]')");
  if (!$result) {
    print "Failed to create new manufacturer: $manufacturer_name";
  }
}

site_epilog($database);
header("location: my.profile.php?selector=".$profile_data['manufacturer']['idx']);
?>
