<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$photo_id = pg_escape_string($_REQUEST['photo']);
$photo_data = pg_fetch_row(pg_query($database, "
  select users, caption, medium_image_path, large_image_path, hide_original, title
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.master = 't'
     and photo.identifier = '$photo_id'"));
$folder_data = pg_fetch_row(pg_query($database, "
  select folder.identifier, folder.caption
    from photo, folder
   where photo.folder = folder.identifier
     and photo.identifier='$photo_id'"));
$user_name   = pg_fetch_row(pg_query($database, "
  select identifier, last_name, first_name
    from users
   where identifier=$photo_data[0]"));

$rating = pg_fetch_row(pg_query($database, "
  select value
    from rating
   where photo='$photo_id'
     and users='$po_user[id]'"));

site_header($page_width, "Add Photo Rating");

if ($po_user['id'] == $photo_data[0]) {
  site_navigator(5);
  $user_display_string = "My folders and albums";
} else {
  site_navigator(1);
  $user_display_string = sprintf("%s, %s", $user_name[1], $user_name[2]);
}

$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[1], $photo_data[5]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_name[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id\">$title</a> : Submit new rating", "");

print "&nbsp;<br/>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_id&size=2&ver=$version", "", $image_repository_path . "/" . $photo_data[2]);
print "</center>\n";
print "&nbsp;<br/>\n";

if ($rating[0]) {
  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>";
  print "<td align=\"center\" bgcolor=\"$color[table_header]\" ><font color=\"red\">You have already rated this picture!</font><br/>";
  print "Your score is $rating[0], which you can modify or remove at your preference.</td>";
  print "</tr>";
  print "</table>\n";

  print "&nbsp;<br/>\n";
  print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id&detail_info=4\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"/></a>\n";
}
else {
  print "<form method=\"post\" action=\"photo.rating.add.2.php\">\n";
  print "<input type=\"hidden\" name=\"photo\" value=\"$photo_id\"/>\n";
  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"12%\">Rating</td>";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"88%\">Comment</td>";
  print "</tr><tr>";
  print "<td align=\"left\" valign=\"top\" bgcolor=\"$color[table_body]\"  width=\"12%\">";
  print "<select name=\"new_rating\">";
  for ($i=1; $i <= 10; $i++)
    print "<option value=\"$i\">$i";
  print "</select>";
  print "</td>";
  print "<td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"88%\"><textarea wrap=\"hard\"  name=\"comment\" rows=\"5\" cols=\"60\"></textarea></td>";
  print "</tr>";
  print "</table>\n";
  print "&nbsp;<br/>\n";
  print "<input type=\"image\" src=\"$theme/button.submit.gif\" border=\"0\" value=\"Submit\"/>\n";
  print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id&detail_info=6\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>\n";
  print "</form>\n";
}
print "&nbsp;<br/>\n";

site_footer($database);
site_epilog($database);
?>
