<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/tools.php";
include_once "include/mime.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/import.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$category = pg_escape_string($_REQUEST['category']);

$all_shop_categories = pg_query($database, "
   select identifier, caption
     from shop_category
    where identifier in (select category from shop_item)
      and users=$po_user[id]");

if (!$category) {
  $category_data  = pg_fetch_row($all_shop_categories, 0);
  $category = $category_data[0];
}

$all_shop_items = pg_query($database, "select identifier, description from shop_item where users=$po_user[id] and category=$category");
$all_currencies = pg_query($database, "select identifier, alpha_code, name, entity from currency");

site_header($page_width, "Display Tools");
site_navigator(10);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.tools.php?selector=2\">My Tools</a> : Add Shop Item Generator Rule", "");

print "&nbsp;<br/>";
display_navigator_box_top($tools_data['shop_item_maker']['idx'], $tools_data, "100%");


print "&nbsp;<br />";

print "<form method=\"post\" action=\"shop.item.generator.add.2.php\" enctype=\"multipart/form-data\">\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"15%\"><a href=\"my.profile.php?selector=10\">Category</a></td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"15%\"><a href=\"my.profile.php?selector=10\">Item</a></td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"10%\">Currency</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"10%\">Price</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"50%\">Remark</td>";
print "</tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\"\">";
for ($f=0; $f < pg_num_rows($all_shop_categories); $f++) {
  $single_category = pg_fetch_row($all_shop_categories, $f);
  print "<option value=\"shop.item.generator.add.php?category=$single_category[0]\"";
  if ($single_category[0] == $category) {
    print " selected ";
  }
  print ">$single_category[1]\n";
}
print "</select>";
print "</td>";

print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_combo('shop_item', $all_shop_items, "", "", TRUE);
print "</td>";

print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_currency_combo('currency', $all_currencies, "", TRUE);
print "</td>";

print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input id=\"template_editor\" name=\"price\" value=\"\"/></td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input id=\"template_editor\" name=\"remark\" value=\"\"/></td>";
print "</tr>";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<center>\n";
print "<input type=\"image\" src=\"$theme/button.add.gif\" border=\"0\" value=\"Add Rule\"/>";
print "<a class=\"nodecor\" href=\"my.tools.php?selector=2\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</center>\n";
print "</form>";

print "&nbsp;<br/>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);



?>
