<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/admin.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$volume = $_REQUEST['volume'];

if (($handle = opendir($image_repository_path . "/" . $volume)) == FALSE) {
  header("location: admin.php");
}

closedir($handle);

$system_preferences = pg_fetch_row(pg_query($database, "select current_volume, volume_max_size from system_preferences"));

site_header($page_width, "Adminstrator Interface : Edit Image Repository Volume");
site_navigator(9);
site_navigator_status("<a href=\"admin.php\">Adminstrator Interface</a> : Edit Image Repository Volume ", "");

print "&nbsp;<br/>";
display_navigator_box_top($admin_data['repository']['idx'], $admin_data, "100%");

print "&nbsp;<br/>";
print "<form action=\"admin.volume.edit.2.php\" method=\"POST\">\n";
print "<input type=\"hidden\" name=\"volume\" value=\"$volume\"/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"60%\">Volume</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Current</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Max Size</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"new_volume\" value=\"$volume\" size=\"50\"/></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_yes_no_combo("current", $system_preferences[0] == $volume ? 't' : 'f');
print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"volume_max_size\" value=\"$system_preferences[1]\" size=\"6\"/>Mb</td>";
print "</tr>\n";

print "</table>\n";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\"/>";
print "<a class=\"nodecor\" href=\"admin.php?selector=".$admin_data['repository']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
