<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$type = pg_escape_string($_REQUEST['type']);
$manufacturer_filter = pg_escape_string($_REQUEST['filter']);

$manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");

switch ($manufacturer_filter) {
 case 'All':
 case '':
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_$type_type");
   break;
 default:
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type where name='$manufacturer_filter'");
}

site_header($page_width, "Add $type");
site_navigator(6);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Add new $type", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data[$type]['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
if (pg_num_rows($manufacturer) == 0) {
  print "<table border=\"0\" width=\"100%\">\n";
  print "<tr><td align=\"center\" >\n";
  print "You must add manufacturers, before adding a $type.";
  print "</td></tr><tr><td>&nbsp;<td></tr><tr><td align=\"center\"><p>\n";
  print "<a href=\"manufacturer.add.php\"><img src=\"$theme/button.add.manufacturer.gif\" border=\"0\" alt=\"Add manufacturer\"/></a>\n";
  print "</td></tr>\n";
  print "</table>\n";
  display_navigator_box_bottom("100%");
  print "&nbsp;<br/>";
  site_footer($database);
  site_epilog($database);
  exit;
}

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\">\n";

print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">$type Types</font></td>\n";
print "<td align=\"right\">\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"profile.add.php?type=$type\">All</option>";
for ($i=0; $i < pg_num_rows($manufacturer); $i++) {
  $r = pg_fetch_row($manufacturer, $i);
  if ($r[1]==$manufacturer_filter)
    print "<option value=\"profile.add.php?type=$type&amp;filter=$r[1]\" selected>$r[1]</option>";
  else
    print "<option value=\"profile.add.php?type=$type&amp;filter=$r[1]\">$r[1]</option>";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";

print "</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "</tr>\n";

print "<form method=\"post\" action=\"profile.add.2.php\">\n";
print "<input type=\"hidden\" name=\"type\" value=\"$type\" />\n";
$num = pg_num_rows($item_type);
if ($num > 0) {
  for ($i=0; $i < $num; $i++) {
    $r = pg_fetch_row($item_type, $i);
    print "<tr>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"radio\" name=\"type_id\" value=\"$r[0]\"/></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$r[4]\">$r[1]</a></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[2]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[3]</td>\n";
    print "</tr>\n";
  }
}
else
print "<tr><td colspan=\"4\" align=\"left\" bgcolor=\"$color[table_body]\" >No $type types found.</td></tr>\n";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\"><font class=\"tabletop\">New $type Type</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"type_id\" value=\"custom\" checked/></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><select name=\"manufacturer_id\">\n";
$num = pg_num_rows($manufacturer);
for ($i=0; $i < $num; $i++) {
  $r = pg_fetch_row($manufacturer, $i);
  print "<option value=\"$r[0]\">$r[1]</option>";
}
print "</select></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"model\"/></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"variation\"/></td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td colspan=\"4\" bgcolor=\"$color[table_top]\"><font class=\"tabletop\">$type Specific Data</font></td></tr>\n";


print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Serial Number</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >New</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"serial_number\"/></td>\n";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("purchase_timestamp", "");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >\n"; display_yes_no_combo("purchased_new", "t"); print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >\n"; display_access_combo("access_rights", "t", ""); print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.add.gif\" border=\"0\" value=\"Add $type\"/>\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data[$type]['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>\n";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
