<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

/* Ensure the user owns it !*/
if ($po_user['type'] < $user_type['administrator']) {
  $result = pg_fetch_row(pg_query($database, "select count(identifier) from shop_item where identifier=$item and users=$po_user[id]"));
  if ($result[0] == 0) {
    site_epilog($database);
    header("location: login.php");
    exit();
  }
 }

$item = pg_escape_string($_REQUEST['item']);

$shop_item_data = pg_fetch_row(pg_query($database, "
  select description, category
    from shop_item
   where users=$po_user[id]
     and identifier=$item"));


site_header($page_width, "Edit Shop Item");
site_navigator(6);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php?\">My Profile</a> : Edit Shop Item", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['shop']['idx'], $profile_data, "100%");

$all_shop_categories = pg_query($database, "
   select identifier, caption
     from shop_category
    where users=$po_user[id]");

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"shop.item.edit.2.php\">";
print "<input type=\"hidden\" name=\"item\" value=\"$item\"/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"100%\">\n";
print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"3\"><font class=\"header\">Edit Shop Item</font></td>\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Description</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Category</td>";
print "</tr>";
print "<tr>";
print "<td bgcolor=\"$color[table_body]\"  width=\"50%\"><input id=\"template_editor\" type=\"text\" name=\"description\" value=\"$shop_item_data[0]\" size=\"40%\"/></td>\n";
print "<td bgcolor=\"$color[table_body]\"  width=\"50%\">";
display_combo("category", $all_shop_categories, $shop_item_data[1], "", true);
print "</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Edit Shop Item\"/>";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['shop']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
